Skip to content

Add Directory File

client.Beta.Directories.Files.Add(ctx, directoryID, params) (*BetaDirectoryFileAddResponse, error)
POST/api/v1/beta/directories/{directory_id}/files

Create a new file within the specified directory; the directory must exist in the project and file_id must reference an existing file.

ParametersExpand Collapse
directoryID string
params BetaDirectoryFileAddParams
FileID param.Field[string]

Body param: File ID for the storage location (required).

OrganizationID param.Field[string]optional

Query param

formatuuid
ProjectID param.Field[string]optional

Query param

formatuuid
DisplayName param.Field[string]optional

Body param: Display name for the file. If not provided, will use the file’s name.

Metadata param.Field[map[string, BetaDirectoryFileAddParamsMetadataUnion]]optional

Body param: User-defined metadata key-value pairs to associate with the file.

string
int64
float64
bool
type BetaDirectoryFileAddParamsMetadataMetadataListValue []string
UniqueID param.Field[string]optional

Body param: Unique identifier for the file in the directory. If not provided, will use the file’s external_file_id or name.

ReturnsExpand Collapse
type BetaDirectoryFileAddResponse struct{…}

API response schema for a directory file.

ID string

Unique identifier for the directory file.

DirectoryID string

Directory the file belongs to.

DisplayName string

Display name for the file.

minLength1
ProjectID string

Project the directory file belongs to.

UniqueID string

Unique identifier for the file in the directory

minLength1
CreatedAt Timeoptional

Creation datetime

formatdate-time
DeletedAt Timeoptional

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
DownloadURL PresignedURLoptional

Schema for a presigned URL.

ExpiresAt Time

The time at which the presigned URL expires

formatdate-time
URL string

A presigned URL for IO operations against a private file

minLength1
formaturi
FormFields map[string, string]optional

Form fields for a presigned POST request

FileID stringoptional

File ID for the storage location.

Metadata map[string, BetaDirectoryFileAddResponseMetadataUnion]optional

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
string
int64
float64
bool
type BetaDirectoryFileAddResponseMetadataMetadataListValue []string
UpdatedAt Timeoptional

Update datetime

formatdate-time

Add Directory File

package main

import (
  "context"
  "fmt"

  "github.com/stainless-sdks/llamacloud-prod-go"
  "github.com/stainless-sdks/llamacloud-prod-go/option"
)

func main() {
  client := llamacloudprod.NewClient(
    option.WithAPIKey("My API Key"),
  )
  response, err := client.Beta.Directories.Files.Add(
    context.TODO(),
    "directory_id",
    llamacloudprod.BetaDirectoryFileAddParams{
      FileID: "file_id",
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.ID)
}
{
  "id": "id",
  "directory_id": "directory_id",
  "display_name": "x",
  "project_id": "project_id",
  "unique_id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "download_url": {
    "expires_at": "2019-12-27T18:11:19.117Z",
    "url": "https://example.com",
    "form_fields": {
      "foo": "string"
    }
  },
  "file_id": "file_id",
  "metadata": {
    "foo": "string"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "directory_id": "directory_id",
  "display_name": "x",
  "project_id": "project_id",
  "unique_id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "download_url": {
    "expires_at": "2019-12-27T18:11:19.117Z",
    "url": "https://example.com",
    "form_fields": {
      "foo": "string"
    }
  },
  "file_id": "file_id",
  "metadata": {
    "foo": "string"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}